package com.gh.gamecenter

import android.content.Context
import android.content.Intent
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.utils.updateStatusBarColor
import com.halo.assistant.fragment.user.UserInfoFragment

class UserInfoActivity : ToolBarActivity() {
    companion object {
        fun getIntent(context: Context?): Intent? {
            return getTargetIntent(
                context,
                UserInfoActivity::class.java,
                UserInfoFragment::class.java
            )
        }
    }

    override fun isAutoResetViewBackgroundEnabled(): Boolean = true

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }
}